{{- if  .Values.weskit.ingress.enabled }}
{{- if .Capabilities.APIVersions.Has "networking.k8s.io/v1/Ingress" }}
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    kubernetes.io/ingress.class: nginx
    {{- if .Values.weskit.ingress.https.enabled }}
    cert-manager.io/cluster-issuer: {{ .Values.weskit.ingress.https.issuer }}
    kubernetes.io/tls-acme: {{ quote .Values.weskit.ingress.https.enabled}}
    {{- end }}
  name: weskit-ingress
spec:
  rules:
  - host: {{ .Values.weskit.ingress.domain_name }}
    http:
      paths:
      - backend:
          service:
            name: weskit-api-svc
            port:
              number: 8080
        path: /
        pathType: Prefix
  {{- if .Values.weskit.ingress.https.enabled }}
  tls:
  - hosts:
    - {{ .Values.weskit.ingress.domain_name }}
    secretName: weskit-ingress-secret
  {{- end }}
{{- else if .Capabilities.APIVersions.Has "route.openshift.io/v1/Route" -}}
apiVersion: route.openshift.io/v1
kind: Route
metadata:
  name: weskit-ingress
spec:
  host: {{ .Values.weskit.ingress.domain_name }}
  tls:
    insecureEdgeTerminationPolicy: Redirect
    termination: edge
  to:
    kind: Service
    name: weskit-api-svc
    weight: 100
  wildcardPolicy: None
status:
  ingress: []
{{- end }}
{{- end }}